Bug 163909 - [MAINTAINER-UPDATE][PATCH] please update math/lapacke to 3.4.0
Summary: [MAINTAINER-UPDATE][PATCH] please update math/lapacke to 3.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-08 08:10 UTC by Eijiro Shibusawa
Modified: 2014-08-14 23:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (36.36 KB, patch)
2012-01-08 08:10 UTC, Eijiro Shibusawa
no flags Details | Diff
lapacke.diff (38.43 KB, patch)
2012-03-17 05:48 UTC, Eijiro Shibusawa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eijiro Shibusawa 2012-01-08 08:10:10 UTC
Attached patch includes the following modifications.
* Updates to LAPACKE 3.4.0 are added.
* Two interfaces to LAPACK's libtmg (liblapacke_tmg) and GotoBLAS's LAPACK (liblapacke_goto )are added.
* "check" target is added.

NOTE:
- This port was tested with porttools 0.99 and tinderbox 3.4.1 (9.0R and 8.2R-p5) on FreeBSD 9.0R on amd64.
- Currently the port requires older distfile for testing.
- Please notice that the version number jumps from LAPACKE 1.0.0.009 to 3.4.0.
  Because LAPACKE is now inside LAPACK, LAPACKE has the same version number than LAPACK.
  So 3.4.0 for the latest release [1].

[1] http://icl.cs.utk.edu/lapack-forum/viewtopic.php?f=2&t=2863

Fix: Patch attached with submission follows:
Comment 1 Brendan Fabeny freebsd_committer 2012-01-11 16:36:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 2 Eijiro Shibusawa 2012-03-17 05:48:54 UTC
Hi! Mr. b.f.,
CC: Dr. Nakata,

Would you please commit the attached patch?
I think that update of math/lapacke should not be delayed any longer.
Although simple update of lapacke is not long term solution for
minimizing maintenance cost, but interim alternative,
I think that "update of lapacke" and "integration to math/lapack"
should not be regarded as single problem.
The latter appears difficult at this time.
Because lapacke consists of interfaces to lapack, tmglib and xlapack.
If we use lapack's default makefile the resulting library contains all
of these interfaces, and it will have large number of dependencies.
However, if I write a makefile for splitting the library the maintenance
cost remains high even if lapacke is integrated to lapack port.
Moreover integration of lapacke to math/lapack is not preferable at
feature freeze phase.

As I asked you previously, if you have any plan,
please send me (and maho@) a patch after this PR is committed.

Best Regards,

Shibusawa
Comment 3 b. f. 2012-03-17 12:11:52 UTC
On 3/17/12, Eijiro Shibusawa <phd_kimberlite@yahoo.co.jp> wrote:
> Hi! Mr. b.f.,
> CC: Dr. Nakata,
>
> Would you please commit the attached patch?
> I think that update of math/lapacke should not be delayed any longer.
> Although simple update of lapacke is not long term solution for
> minimizing maintenance cost, but interim alternative,
> I think that "update of lapacke" and "integration to math/lapack"
> should not be regarded as single problem.
> The latter appears difficult at this time.
> Because lapacke consists of interfaces to lapack, tmglib and xlapack.
> If we use lapack's default makefile the resulting library contains all
> of these interfaces, and it will have large number of dependencies.
> However, if I write a makefile for splitting the library the maintenance
> cost remains high even if lapacke is integrated to lapack port.
> Moreover integration of lapacke to math/lapack is not preferable at
> feature freeze phase.
>

It is actually not as hard as you suggest (in fact, it is probably
easier than making separate Makefiles, as you have had to do) if you
simply add an OPTION and patches including changes like r1210 that are
in the lapack repository.  But you are right that it is not possible
to do this during the feature freeze.  I was finishing a patch to
integrate the two ports, and was hoping to avoid having to do a
interim update, but I was sidetracked by all the people asking for
immediate updates of fftw, R, etc.  I apologize for the delay.  I
don't expect the feature freeze to last very long, but if you prefer
to do this now, then I will check (and most likely commit) your patch
this weekend.

b.
Comment 4 dfilter service freebsd_committer 2012-03-20 02:00:45 UTC
bf          2012-03-20 02:00:32 UTC

  FreeBSD ports repository

  Modified files:
    math/lapacke         Makefile distinfo 
    math/lapacke/files   Makefile Makefile.lib patch-make.inc 
  Added files:
    math/lapacke/files   Makefile.libtmg 
  Removed files:
    math/lapacke/files   patch-src+Makefile patch-utils+Makefile 
  Log:
  update to 3.4.0
  
  PR:             163909
  Submitted by:   E. Shibusawa (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.5       +66 -19    ports/math/lapacke/Makefile
  1.2       +4 -2      ports/math/lapacke/distinfo
  1.2       +2 -1      ports/math/lapacke/files/Makefile
  1.2       +237 -42   ports/math/lapacke/files/Makefile.lib
  1.1       +25 -0     ports/math/lapacke/files/Makefile.libtmg (new)
  1.3       +13 -13    ports/math/lapacke/files/patch-make.inc
  1.2       +0 -293    ports/math/lapacke/files/patch-src+Makefile (dead)
  1.2       +0 -11     ports/math/lapacke/files/patch-utils+Makefile (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"